> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Evaluation Dataset Generation Jobs



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs:
    get:
      tags:
        - Evaluation Datasets
      summary: Get Evaluation Dataset Generation Jobs
      operationId: GET-V4-/generation-jobs
      parameters:
        - name: evaluation_dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Dataset Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListEvaluationDatasetGenerationJobsResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            page = client.evaluation_datasets.generation_jobs.list(
                "evaluation_dataset_id",
            )
            page = page.generation_jobs[0]
            print(page.generation_job_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.EvaluationDatasets.GenerationJobs.List(context.TODO(), \"evaluation_dataset_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
components:
  schemas:
    ListEvaluationDatasetGenerationJobsResponse:
      properties:
        generation_jobs:
          items:
            $ref: '#/components/schemas/GetEvaluationDatasetGenerationJobResponse'
          type: array
          title: Generation Jobs
          description: List of evaluation dataset generation jobs.
      type: object
      required:
        - generation_jobs
      title: ListEvaluationDatasetGenerationJobsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GetEvaluationDatasetGenerationJobResponse:
      properties:
        generation_job_id:
          type: string
          title: Generation Job Id
          description: >-
            ID of the async job associated with this evaluation dataset
            generation
        status:
          $ref: '#/components/schemas/GenericAsyncJobStatusEnum'
          description: Status of the async job
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The timestamp at which the upload job started.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The timestamp at which the upload job was last updated.
        num_test_cases:
          title: Num Test Cases
          description: Optional number of test cases input to the job
          type: integer
        num_completed_test_cases:
          title: Num Completed Test Cases
          description: Number of test cases that have been generated
          type: integer
        total_chunk_count:
          title: Total Chunk Count
          description: Number of chunks in the knowledge base
          type: integer
        failure_reason:
          title: Failure Reason
          description: Reason for the job's failure, if applicable
          type: string
      type: object
      required:
        - generation_job_id
        - status
        - created_at
        - updated_at
      title: GetEvaluationDatasetGenerationJobResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GenericAsyncJobStatusEnum:
      type: string
      enum:
        - Pending
        - Running
        - Completed
        - Failed
        - Canceled
      title: GenericAsyncJobStatusEnum

````